<?php
/**
 * ------------------------------------------------------------------------
 * JA Megastore Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
*/

defined('_JEXEC') or die('Restricted access');
$products_per_row = $viewData['products_per_row'];
$currency = $viewData['currency'];
$showRating = $viewData['showRating'];
$verticalseparator = " vertical-separator";
echo shopFunctionsF::renderVmSubLayout('askrecomjs');

$ItemidStr = '';
$Itemid = shopFunctionsF::getLastVisitedItemId();
if(!empty($Itemid)){
	$ItemidStr = '&Itemid='.$Itemid;
}

foreach ($viewData['products'] as $type => $products ) {

	$rowsHeight = shopFunctionsF::calculateProductRowsHeights($products,$currency,$products_per_row);

	if(!empty($type) and count($products)>0){
		$productTitle = vmText::_('COM_VIRTUEMART_'.strtoupper($type).'_PRODUCT'); ?>
  <div class="<?php echo $type ?>-view">
  <h4><?php echo $productTitle ?></h4>
  <div class="row ja-masonry-wrap isotope-layout">
  <div class="isotope grid clearfix grid-xs-1 grid-smx-2 grid-sm-2 grid-md-<?php echo ($products_per_row -1); ?> grid-lg-<?php echo $products_per_row; ?>">
  <div class="item grid-sizer"></div>
	<?php // Start the Output
  } else { ?>
    <div class="row ja-masonry-wrap isotope-layout">
    <div class="isotope grid clearfix grid-xs-1 grid-smx-2 grid-sm-2 grid-md-<?php echo ($products_per_row -1); ?> grid-lg-<?php echo $products_per_row; ?>">
    <div class="item grid-sizer"></div>
  <?php } 

	// Calculating Products Per Row
	$cellwidth = ' width'.floor ( 100 / $products_per_row );

	$BrowseTotalProducts = count($products);

	$col = 1;
	$nb = 1;
	$row = 1;
  ?>
  
  <?php
	foreach ( $products as $product ) {

		// Show the horizontal seperator
		if ($col == 1 && $nb > $products_per_row) { ?>
		<?php }

		// Show the vertical seperator
		if ($nb == $products_per_row or $nb % $products_per_row == 0) {
			$show_vertical_separator = ' ';
		} else {
			$show_vertical_separator = $verticalseparator;
		}

    // Show Products ?>
	<div class="product vm-col<?php echo ' vm-col-' . $products_per_row . $show_vertical_separator ?> item isotope-item">
		<div class="spacer">
			<div class="vm-product-media-container">
				<a title="<?php echo $product->product_name ?>" href="<?php echo $product->link.$ItemidStr; ?>">
					<?php
					echo $product->images[0]->displayMediaThumb('class="browseProductImage"', false);
					?>
				</a>

        <?php if (!empty($product->customfieldsSorted)): ?>
          <?php $customFields = $product->customfieldsSorted;$newCustomField=array();
          if (!empty($customFields['ontop'])):
            foreach ($customFields['ontop'] AS $custom): ?>
              <?php $newCustomField[preg_replace('/[^a-zA-Z0-9_]+/', '_', $custom->custom_title)]['value'][] = '<span class="badge badge-'.strtolower($custom->display).'">'.strtolower($custom->display).'</span>'; ?>
              <?php $newCustomField[preg_replace('/[^a-zA-Z0-9_]+/', '_', $custom->custom_title)]['title'] = $custom->custom_title; ?>
            <?php endforeach; ?>
            <!-- Seperator between the value of every custom field.Change to anything. -->
            <?php $customSeperator=' '; ?>
            <?php $cusopenTag=''; ?>
            <?php $cusclosetag=''; ?>
            <?php foreach ($newCustomField AS $ncf) :?>
              <?php echo $cusopenTag; ?><?php echo implode($ncf['value'], $cusclosetag.$customSeperator.$cusopenTag); ?><?php echo $cusclosetag; ?>
            <?php endforeach; ?>
          <?php endif; ?>
        <?php endif; ?>
			</div>

			<div class="vm-product-descr-container-<?php echo $rowsHeight[$row]['product_s_desc'] ?>">
				<h2><?php echo JHtml::link ($product->link.$ItemidStr, $product->product_name); ?></h2>
				<?php if(!empty($rowsHeight[$row]['product_s_desc'])){
				?>
				<p class="product_s_desc">
					<?php // Product Short Description
					if (!empty($product->product_s_desc)) {
						echo shopFunctionsF::limitStringByWord ($product->product_s_desc, 5, ' ...') ?>
					<?php } ?>
				</p>
		<?php  } ?>
			</div>

			<?php //echo $rowsHeight[$row]['price'] ?>
			<div class="vm3pr-<?php echo $rowsHeight[$row]['price'] ?>"> <?php
				echo shopFunctionsF::renderVmSubLayout('prices',array('product'=>$product,'currency'=>$currency)); ?>
				<div class="clear"></div>
			</div>

      <div class="vm-product-rating-container">
        <?php echo shopFunctionsF::renderVmSubLayout('rating',array('showRating'=>$showRating, 'product'=>$product)); ?>
      </div>

      <div class="vm-product-footer">
  			<?php //echo $rowsHeight[$row]['customs'] ?>
  			<div class="vm3pr-<?php echo $rowsHeight[$row]['customfields'] ?>"> <?php
  				echo shopFunctionsF::renderVmSubLayout('addtocart',array('product'=>$product,'rowHeights'=>$rowsHeight[$row], 'position' => array('addtocart'))); ?>
  			</div>

  			<?php if ( VmConfig::get ('display_stock', 1)) { ?>
          <span class="vmicon vm2-<?php echo $product->stock->stock_level ?>" title="<?php echo $product->stock->stock_tip ?>">
            <i class="fa fa-signal" aria-hidden="true"></i>
          </span>
        <?php }
        echo shopFunctionsF::renderVmSubLayout('stockhandle',array('product'=>$product)); ?>

      </div>

		</div>
	</div>

	<?php
    $nb ++;

      // Do we need to close the current row now?
      if ($col == $products_per_row || $nb>$BrowseTotalProducts) { ?>
  
      <?php
      	$col = 1;
		$row++;
    } else {
      $col ++;
    }
  }
  ?>
  
  <?php
      if(!empty($type)and count($products)>0){
  ?>
  <?php
    }
?>
<?php if(!empty($type) and count($products)>0){ ?>
  </div>
</div>
</div>
<?php } else { ?>
  </div>
</div>
<?php  } ?>
<?php
  }
?>